LFR-FSW - Bug #914

Masque erroné en cas de bande polluée partiellement incluse dans la bande centrale.

27/01/2017 12:12 PM - bruno katra

Status: Closed Start date: 27/01/2017
Priority: Normal Due date:

Assignee: bruno katra % Done: 100%
Category: SRS Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

Apres discussions avec Thomas, la specif mise en oeuvre par Thomas et Gérald cet été est fausse :

La SRS disait que la bande polluée devait étre incluse TOTALEMENT dans la zone centrale pour éliminer 3 bins ==> C'est

finalement faux ! C'est actuellement ce qui est fait par le FSW <=3.1.0.6

Apres rééxamen par Thomas et suite aux specifs R3++ :

Une inclusion partielle suffit a éliminer 3 bins.

IMPORTANT : la convention décidée par Paul et testée doit figurer dans la SRS:

La center area est un intervalle OUVERT ]center_area[
La bande de pollution autour de Frw est fermé : [Frw_area]

Cela permet que si les 2 intervalles ont juste une frontiére commune : exclusion totale des 2 intervalles > on masque 2 bins.
Cela résout aussi le cas : si delta_f = 0.0 et Frw = une des frontiére : exclusion totale des 2 intervalles > on masque 2 bins.

e | A SRS DOIT ETRE MISE A JOUR AVEC les explications ci-dessus *
Pour résumer sur le schéma suivant : I'exemple 3 devrait se comporter comme I'exemple 2
FSW 3.1.0.6

History

#1 - 27/01/2017 12:12 PM - bruno katra

- Description updated

#2 - 02/02/2017 10:12 AM - paul leroy

- Assignee changed from paul leroy to bruno katra

Je propose d'implémenter dés aujourd'hui (j'y ai regardé ce matin) le bon calcul dans le soft 3.1.0.7.

Si vous pouvez tester I'algorithme de calcul des masques, je finalise juste apres le soft 3.2.0.0 avec ce mode de calcul.

Qu'en pensez-vous?

#3 - 02/02/2017 10:49 AM - bruno katra

- Assignee changed from bruno katra to paul leroy

Nickel.

Pour le test : oui et c'est trés rapide. Le scenario et I'analyse auto sont préts : verdict en moins de 5 minutes.
Crois-tu pouvoir aussi intégrer #862 dans les correctifs ?

Merci

#4 - 02/02/2017 10:57 AM - paul leroy

Oui, je peux l'intégrer, pas de probléme. Je fais ¢a de suite.
https://hephaistos.lpp.polytechnique.fr/redmine/issues/862

Il faudrait que la convention de #862 apparaisse clairement dans les exigence pour ne pas qu'on perde sa trace.

#5 - 02/02/2017 11:02 AM - bruno katra

- Status changed from New to In Progress

paul leroy wrote:

Oui, je peux l'intégrer, pas de probléeme. Je fais ¢a de suite.

Il faudrait que la convention de #862 apparaisse clairement dans les exigence pour ne pas qu'on perde sa trace.

C'est déja dans la SRS que Gérald a rédigé cet été. Ce sera donc livré dans le datapack. Aussi j'ai prévu de I'ajouter dans le FSW user manual dans

un chapitre dédié aux mécanismes de masquage.

#6 - 02/02/2017 11:18 AM - paul leroy

C'est exact, je viens de regarder, j'avais perdu cette information et mon /2 était faux.

#7 - 02/02/2017 11:41 AM - paul leroy

- Assignee changed from paul leroy to bruno katra

Correction effectuée pour fsw >= 3.1.0.7

#8 - 02/02/2017 03:54 PM - bruno katra
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Testé en 3.1.0.7 sur EM 1.1.91: bug corrigé.

#9 - 03/02/2017 04:59 PM - bruno katra
- Category changed from R3++ to SRS

- Status changed from Closed to In Progress

Réouvert jusqu'a MAJ SRS :

#10 - 03/02/2017 05:03 PM - bruno katra

- Description updated

#11 - 03/02/2017 05:03 PM - bruno katra

- Description updated

#12 - 22/03/2017 02:52 PM - bruno katra

- Priority changed from Immediate to Normal

#13 - 09/05/2017 02:02 PM - bruno katra

- Status changed from In Progress to Closed

Mis a jour dans SRS 2.1
